Using RISC OS 5.15

From RISC OS

Viewed 1609 times, With a total of 1 Posts
Jump to: navigation, search


Threads 142
Posts 149

In the Google Translation of ArcSite's latest Dies & Das (This and That), ArcSite is reporting that "RISC OS Open warns strongly against the use of RISC OS 5.15 image". Also MyRISCOS is ominously mentioning Health warning for RISC OS 5.15 softload on Iyonix.

In fact, if you carefully read the original statement, Steve doesn't "warn against" it. All he's doing is ensuring due diligence. There are no know issues like this against RISC OS 5.15, and no genuine cause for concern. However, you should always ensure you have backups and take some care with alpha OS items. In fact, I have run this version on my for some time, and the issues I have seen are minor (and the one annoying one is present in 5.14 also).

MyRISCOS also unhelpfully comments "The statements by Steve seemed a bit of a departure from his usual upbeat comments". Actually, these would be pretty typical of comments from Steve or any very experienced software engineer, and I have made plenty of similar myself. That few real issues have occurred are testament to the ROOL team's experience, and reflection that actual development is occurring.

So, just a suggestion to the other news sites to avoid drama where it is not needed.



Threads 4
Posts 15
  My warning was indeed pre-emptive

We've not had a single report from anyone that looks remotely like it's a file-system related problem in RISC OS 5.15 but these components _are_ critical to the correct operation of your machine so don't use our 5.15 releases blindly in that respect.

Having said that, my warning was a bit of a departure from a generally up-beat position on the developments that have been going on. Within ROOL, we had been thinking to ourselves that one day a change to a critical component such as FileCore could slip through the net and that could result in the less experienced users finding themselves in all sorts of trouble.

As a result, I decided a strongly worded warning was required - hopefully the people who are less able to ensure a sound backup strategy would be sufficiently concerned by it to steer clear! I think in the past we at ROOL have been a bit flippant about advising people to use 5.15, saying "it seems to be fine", but recent submissions to these core components mean we're now taking a more cautious approach.








AWC's: 2.4.1 MediaWiki - Stand Alone Forum Extension
Views
Personal tools
Toolbox